Page MenuHomePhabricator

Write Astropay audit file processor
Closed, ResolvedPublic4 Estimated Story Points

Description

Full requirements for the integration are listed in T77907

There is no formal spec for the audit files yet, so this will depend on getting some samples generated from test transactions.

Since this is a new process for them, we should get this started early in our integration.

Event Timeline

awight created this task.Feb 23 2015, 10:59 PM
awight raised the priority of this task from to High.
awight updated the task description. (Show Details)
awight added subscribers: Ppena, atgo, Aklapper, awight.
awight renamed this task from Write audit file processor to Write LATAM audit file processor.Feb 23 2015, 11:02 PM
awight updated the task description. (Show Details)
awight removed a project: Epic.
awight set Security to None.
atgo updated the task description. (Show Details)Feb 25 2015, 11:30 PM
atgo edited a custom field.Mar 26 2015, 8:45 PM
atgo renamed this task from Write LATAM audit file processor to Write Astropay audit file processor.Mar 30 2015, 10:06 PM

Will we have rejections and pending transactions in civi? @Ppena thinks we should not. Let's clarify.

awight claimed this task.Jun 24 2015, 11:23 PM

Change 220998 had a related patch set uploaded (by Ejegg):
WIP Astropay audit file processing

https://gerrit.wikimedia.org/r/220998

Change 221005 had a related patch set uploaded (by Ejegg):
Before Astropay redirect, log details for audit processor

https://gerrit.wikimedia.org/r/221005

Change 221005 merged by jenkins-bot:
Before Astropay redirect, log details for audit processor

https://gerrit.wikimedia.org/r/221005

Change 220998 merged by jenkins-bot:
Astropay audit file processing

https://gerrit.wikimedia.org/r/220998

Change 222338 had a related patch set uploaded (by Ejegg):
Use consistent convention to generate refund ID

https://gerrit.wikimedia.org/r/222338

awight reassigned this task from awight to Ejegg.Jul 3 2015, 8:26 PM

Change 223122 had a related patch set uploaded (by Ejegg):
Add CT_ID to Astropay audit refund messages

https://gerrit.wikimedia.org/r/223122

Change 222338 merged by jenkins-bot:
Use consistent convention to generate refund ID

https://gerrit.wikimedia.org/r/222338

Change 223122 merged by jenkins-bot:
Add CT_ID to Astropay audit refund messages

https://gerrit.wikimedia.org/r/223122

Ejegg moved this task from Backlog to Doing on the Fundraising Sprint ODB board.Jul 8 2015, 11:15 PM
Ejegg moved this task from Doing to Review on the Fundraising Sprint ODB board.

Change 224457 had a related patch set uploaded (by Ejegg):
Astropay audit: add log_id with full ctid.attempt

https://gerrit.wikimedia.org/r/224457

Change 224462 had a related patch set uploaded (by Ejegg):
WIP match on log_id, not just ct_id

https://gerrit.wikimedia.org/r/224462

Change 224457 merged by jenkins-bot:
Astropay audit: add log_id with full ctid.attempt

https://gerrit.wikimedia.org/r/224457

Change 224462 merged by jenkins-bot:
AstroPay audit: match on log_id, not just ct_id

https://gerrit.wikimedia.org/r/224462

Change 224732 had a related patch set uploaded (by Ejegg):
Fix drush parse-audit

https://gerrit.wikimedia.org/r/224732

Change 224732 merged by jenkins-bot:
Fix drush parse-audit

https://gerrit.wikimedia.org/r/224732

Change 224845 had a related patch set uploaded (by Ejegg):
Finish fixing drush parse-audit

https://gerrit.wikimedia.org/r/224845

Change 224845 merged by jenkins-bot:
Finish fixing drush parse-audit

https://gerrit.wikimedia.org/r/224845

Change 224866 had a related patch set uploaded (by Ejegg):
Don't crash parse-audit on bt / cash donations

https://gerrit.wikimedia.org/r/224866

Change 224866 merged by jenkins-bot:
Don't crash parse-audit on bt / cash donations

https://gerrit.wikimedia.org/r/224866

This is the most exciting!

Ejegg closed this task as Resolved.Jul 20 2015, 5:07 PM
mmodell removed a subscriber: awight.Jun 22 2017, 9:52 PM